Resolido Docs
Ai agents

Add critical instruction

POST
/critical-instructions

Add a critical instruction (high-priority rule) to one or more agents. Owner/admin.

Authorization

bearer agents:write
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: agents:write

Request Body

application/json
  1. body
agentIds*array<>
Items1 <= items <= 50
content*string

The rule, e.g. 'Orders placed after 20 Dec ship after New Year.'

Length3 <= length <= 10000
expiresAt?string

ISO date-time when the rule stops applying.

Formatdate-time

Response Body

Success

application/json
  1. response
created*number
curl -X POST "https://example.com/critical-instructions" \  -H "Content-Type: application/json" \  -d '{    "agentIds": [      "string"    ],    "content": "string"  }'
{  "created": 0}